from pydantic_settings import BaseSettings
from typing import List


class Settings(BaseSettings):
    # Project settings
    PROJECT_NAME: str = "Movie Database API"
    PROJECT_DESCRIPTION: str = "A simple backend for a movie website inspired by IMDb"
    VERSION: str = "0.1.0"
    DEBUG: bool = True
    
    # Server settings
    HOST: str = "0.0.0.0"
    PORT: int = 8000
    
    # CORS settings
    CORS_ORIGINS: List[str] = ["*"]
    
    class Config:
        env_file = ".env"
        env_file_encoding = "utf-8"


settings = Settings()
