from sqlalchemy import Column, Integer, String, Date, Text
from sqlalchemy.orm import relationship

from app.db.base_class import Base


class Actor(Base):
    id = Column(Integer, primary_key=True, index=True)
    name = Column(String(255), nullable=False, index=True)
    birth_date = Column(Date, nullable=True)
    bio = Column(Text, nullable=True)
    photo_path = Column(String(255), nullable=True)
    
    # Many-to-many relationship
    movies = relationship("Movie", secondary="movieactor", back_populates="actors")