from sqlalchemy import Column, Integer, String
from sqlalchemy.orm import relationship

from app.db.base_class import Base


class Genre(Base):
    id = Column(Integer, primary_key=True, index=True)
    name = Column(String(50), nullable=False, unique=True, index=True)
    
    # Many-to-many relationship
    movies = relationship("Movie", secondary="moviegenre", back_populates="genres")